Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.commandline
Class ApiDispatcher

    java.lang.Object
      es.inteco.xbrl.lenlocpenloc.commandline.ApiDispatcher

All Implemented Interfaces:
  IApiDispatcher

    public class ApiDispatcher

extends java.lang.Object
implements IApiDispatcher

Clase que realiza las llamadas al API para ejecutar las diferentes funcionalidades
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es

Method Summary
`int` | `executeTransformationToXBRL()` Método que ejecuta la transformación a XBRL.
`int` | `executeTransformationToXML()` Método que ejecuta la transformación a XML.
`int` | `executeVisualizationFromXBRL()` Método que ejecuta la visualización de un XBRL.
`int` | `executeVisualizationFromXML()` Método que ejecuta la visualización de un XML.
`int` | `executeXBRLValidation()` Método que ejecuta la validación XBRL.
`int` | `executeXSDValidation()` Método que ejecuta la validación XSD.
`java.lang.String` | `getDocHTMLPath()` Obtiene la ruta y nombre del documento HTML.
`java.lang.String` | `getDocXbrlPath()` Obtiene la ruta y nombre del documento XBRL.
`java.lang.String` | `getDocXMLPath()` Obtiene la ruta y nombre del documento XML.
`java.lang.String` | `getErrorFilePath()` Obtiene ruta y nombre del fichero donde se almacenaran los errores.
`java.lang.String` | `getModuleName()` Obtiene el nombre del módulo que se quiere visualizar.
`java.lang.String` | `getValidationResultFilePath()` Obtiene ruta y nombre del fichero donde se almacenaran los resultados de validación.
`boolean` | `isValidationRequired()` Obtiene un indicador de si se solicita una validación de XBRL.
`void` | `setDocHTMLPath(java.lang.String docHTMLPath)` Establece la ruta y nombre del documento HTML.
`void` | `setDocXbrlPath(java.lang.String docXbrlPath)` Establece la ruta y nombre del documento XBRL.
`void` | `setDocXMLPath(java.lang.String docXMLPath)` Establece la ruta y nombre del documento XML.
`void` | `setErrorFilePath(java.lang.String errorFilePath)` Establece ruta y nombre del fichero donde se almacenaran los errores.
`void` | `setModuleName(java.lang.String moduleName)` Establece el nombre del módulo que se quiere visualizar.
`void` | `setValidationRequired(boolean validationRequired)` Establece un indicador de si se solicita una validación de XBRL.
`void` | `setValidationResultFilePath(java.lang.String validationResultFilePath)` Establece ruta y nombre del fichero donde se almacenaran los resultados de validación.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDocXbrlPath

    public java.lang.String getDocXbrlPath()

  Description copied from interface: `IApiDispatcher`
  Obtiene la ruta y nombre del documento XBRL.

  Specified by:
    `getDocXbrlPath` in interface `IApiDispatcher`
  Returns:
    Ruta y nombre

### setDocXbrlPath

    public void setDocXbrlPath(java.lang.String docXbrlPath)

  Description copied from interface: `IApiDispatcher`
  Establece la ruta y nombre del documento XBRL.

  Specified by:
    `setDocXbrlPath` in interface `IApiDispatcher`
  Parameters:
    `docXbrlPath` - ruta y nombre

### getDocXMLPath

    public java.lang.String getDocXMLPath()

  Description copied from interface: `IApiDispatcher`
  Obtiene la ruta y nombre del documento XML.

  Specified by:
    `getDocXMLPath` in interface `IApiDispatcher`
  Returns:
    Ruta y nombre

### setDocXMLPath

    public void setDocXMLPath(java.lang.String docXMLPath)

  Description copied from interface: `IApiDispatcher`
  Establece la ruta y nombre del documento XML.

  Specified by:
    `setDocXMLPath` in interface `IApiDispatcher`
  Parameters:
    `docXMLPath` - ruta y nombre

### getDocHTMLPath

    public java.lang.String getDocHTMLPath()

  Description copied from interface: `IApiDispatcher`
  Obtiene la ruta y nombre del documento HTML.

  Specified by:
    `getDocHTMLPath` in interface `IApiDispatcher`
  Returns:
    Ruta y nombre del documento HTML

### setDocHTMLPath

    public void setDocHTMLPath(java.lang.String docHTMLPath)

  Description copied from interface: `IApiDispatcher`
  Establece la ruta y nombre del documento HTML.

  Specified by:
    `setDocHTMLPath` in interface `IApiDispatcher`
  Parameters:
    `docHTMLPath` - nombre y ruta

### isValidationRequired

    public boolean isValidationRequired()

  Description copied from interface: `IApiDispatcher`
  Obtiene un indicador de si se solicita una validación de XBRL.

  Specified by:
    `isValidationRequired` in interface `IApiDispatcher`
  Returns:
    (true/false)

### setValidationRequired

    public void setValidationRequired(boolean validationRequired)

  Description copied from interface: `IApiDispatcher`
  Establece un indicador de si se solicita una validación de XBRL.

  Specified by:
    `setValidationRequired` in interface `IApiDispatcher`
  Parameters:
    `validationRequired` - indicador

### getModuleName

    public java.lang.String getModuleName()

  Description copied from interface: `IApiDispatcher`
  Obtiene el nombre del módulo que se quiere visualizar.

  Specified by:
    `getModuleName` in interface `IApiDispatcher`
  Returns:
    Nombre de modulo

### setModuleName

    public void setModuleName(java.lang.String moduleName)

  Description copied from interface: `IApiDispatcher`
  Establece el nombre del módulo que se quiere visualizar.

  Specified by:
    `setModuleName` in interface `IApiDispatcher`
  Parameters:
    `moduleName` - nombre del modulo

### getErrorFilePath

    public java.lang.String getErrorFilePath()

  Description copied from interface: `IApiDispatcher`
  Obtiene ruta y nombre del fichero donde se almacenaran los errores.

  Specified by:
    `getErrorFilePath` in interface `IApiDispatcher`
  Returns:
    Ruta y nombre

### setErrorFilePath

    public void setErrorFilePath(java.lang.String errorFilePath)

  Description copied from interface: `IApiDispatcher`
  Establece ruta y nombre del fichero donde se almacenaran los errores.

  Specified by:
    `setErrorFilePath` in interface `IApiDispatcher`
  Parameters:
    `errorFilePath` - ruta y nombre

### getValidationResultFilePath

    public java.lang.String getValidationResultFilePath()

  Description copied from interface: `IApiDispatcher`
  Obtiene ruta y nombre del fichero donde se almacenaran los resultados de validación.

  Specified by:
    `getValidationResultFilePath` in interface `IApiDispatcher`
  Returns:
    Ruta y nombre

### setValidationResultFilePath

    public void setValidationResultFilePath(java.lang.String validationResultFilePath)

  Description copied from interface: `IApiDispatcher`
  Establece ruta y nombre del fichero donde se almacenaran los resultados de validación.

  Specified by:
    `setValidationResultFilePath` in interface `IApiDispatcher`
  Parameters:
    `validationResultFilePath` - ruta y nombre

### executeXBRLValidation

    public int executeXBRLValidation()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la validación XBRL.

  Specified by:
    `executeXBRLValidation` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

### executeXSDValidation

    public int executeXSDValidation()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la validación XSD.

  Specified by:
    `executeXSDValidation` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

### executeTransformationToXML

    public int executeTransformationToXML()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la transformación a XML.

  Specified by:
    `executeTransformationToXML` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

### executeTransformationToXBRL

    public int executeTransformationToXBRL()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la transformación a XBRL.

  Specified by:
    `executeTransformationToXBRL` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

### executeVisualizationFromXML

    public int executeVisualizationFromXML()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la visualización de un XML.

  Specified by:
    `executeVisualizationFromXML` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

### executeVisualizationFromXBRL

    public int executeVisualizationFromXBRL()

  Description copied from interface: `IApiDispatcher`
  Método que ejecuta la visualización de un XBRL.

  Specified by:
    `executeVisualizationFromXBRL` in interface `IApiDispatcher`
  Returns:
    indicador del resultado del proceso
    0: El proceso finalizó sin errores
    -1: El proceso no finalizó correctamente
    1: El proceso finalizó con errores tipo Warning

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD